import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { PropertylistingMaster } from '../models';
import { PropertylistingMasterRepository } from '../repositories';
export declare class ProprtylistingmasterController {
    propertylistingMasterRepository: PropertylistingMasterRepository;
    constructor(propertylistingMasterRepository: PropertylistingMasterRepository);
    create(propertylistingMaster: Omit<PropertylistingMaster, 'propertylistId	'>): Promise<PropertylistingMaster>;
    count(where?: Where<PropertylistingMaster>): Promise<Count>;
    find(filter?: Filter<PropertylistingMaster>): Promise<PropertylistingMaster[]>;
    updateAll(propertylistingMaster: PropertylistingMaster, where?: Where<PropertylistingMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<PropertylistingMaster>): Promise<PropertylistingMaster>;
    updateById(id: number, propertylistingMaster: PropertylistingMaster): Promise<void>;
    replaceById(id: number, propertylistingMaster: PropertylistingMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
